Skip to navigation

Get file metadata by SHA256

View as Markdown
Retrieve file information such as filetype, file size in bytes, and MIME type

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sha256stringRequiredformat: "^[a-fA-F0-9]{64}$"

SHA256 hash of the file (64 hexadecimal characters)

Response

File metadata found and returned successfully
sha256string
SHA256 hash of the file
size_byteslong
File size in bytes
created_atdatetime
Timestamp when the file was created
updated_atdatetime
Timestamp when the file was last updated
file_typestringOptional
Type of the file
extensionstringOptional
File extension
mime_typestringOptional
MIME type of the file

Errors

404
Not Found Error
422
Unprocessable Entity Error